Schedule
Keywords: com.gmscheduler.model.Schedule class

Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.gmscheduler.model
Class Schedule

    java.lang.Object
      com.gmscheduler.model.Schedule

    public class Schedule

extends java.lang.Object

A `Schedule` objects represents a person and a list of their time frames.

See Also:
  `Person`, `Timeframe`

Constructor Summary
`Schedule()`
`Schedule(Person owner)`
`Schedule(Person owner, java.util.LinkedList schedule)`
`Schedule(Person owner, Timeframe schedule)`
`Schedule(Schedule u)`

Method Summary
`void` | `add(java.util.LinkedList u)` Adds one or more timeframes to the schedule
`void` | `addTimeframe(Timeframe newtime)` Adds one more timeframe to the schedule
`void` | `difference(Schedule outschedule)` Takes a schedule and removes the timeframes in the given schedule from this schedule
`Person` | `getPerson()` Gets the owner of the schedule
`java.util.LinkedList` | `getSchedule()` Gets the timeframes of the schedule
`void` | `setPerson(Person owner)` Sets the person
`void` | `setSchedule(java.util.LinkedList schedule)` Sets the schedule from a linked list of timeframes
`java.lang.String` | `toString()`
`java.lang.String` | `toStringSchedule()` Gets a string of all the schedules delimited by " | "

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### Schedule

    public Schedule()

### Schedule

    public Schedule(Person owner)

### Schedule

    public Schedule(Person owner,
                    java.util.LinkedList schedule)

### Schedule

    public Schedule(Person owner,
                    Timeframe schedule)

### Schedule

    public Schedule(Schedule u)

Method Detail

### getPerson

    public Person getPerson()

  Gets the owner of the schedule

  Returns:
    the `Person` who own's the schedule

### getSchedule

    public java.util.LinkedList getSchedule()

  Gets the timeframes of the schedule

  Returns:
    a linked list of the schedule `Timeframe`s

### setPerson

    public void setPerson(Person owner)

  Sets the person

  Parameters:
    `owner` - the `Person` who the schedule belongs to

### setSchedule

    public void setSchedule(java.util.LinkedList schedule)

  Sets the schedule from a linked list of timeframes

  Parameters:
    `schedule` - a linked list of `Timeframe`s

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

### toStringSchedule

    public java.lang.String toStringSchedule()

  Gets a string of all the schedules delimited by " | "

  Returns:
    a string concatination of all the schedules

### addTimeframe

    public void addTimeframe(Timeframe newtime)

  Adds one more timeframe to the schedule

  Parameters:
    `newtime` - a new `Timeframe` to add to the schedule

### add

    public void add(java.util.LinkedList u)

  Adds one or more timeframes to the schedule

  Parameters:
    `u` - a linked list of `Timeframe`s to add to the schedule

### difference

    public void difference(Schedule outschedule)

  Takes a schedule and removes the timeframes in the given schedule from this schedule

  Parameters:
    `outschedule` - a `Schedule` that contains busy times to remove from this schedule

Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD